# Database

Start with the database setup tab, to fill all the necessary details and follow the same procedure for testing and validating your database credentials.

Follow these steps to configure your database credentials with different databases like MySql, SQL Server, Oracle, DB, PostgreSQL, Cassandra, AWS Redshift, Snowflake, Sybase, and MongoDB.

**To set up you salesforce instance follow the steps below:**

* Login to DBSync Cloud Replication instance
* To configure, navigate to the Database tab.
* Click Database icon from the top-navigation toolbar
* To start with database credentials the user has to enter all the configuration details like host, port, username, password, database name, and schema.
* Once, all the details entered by the user then URL details will get auto-filled.&#x20;
* Click Save&#x20;
* You can save and test your Database connection.
* Click Next

**Note:**&#x20;

| <p>If 'SSL Encryption' is enabled for SQL DB.<br>We need to add the "?ssl=true\&sslmode=require;" parameter at the end of the JDBC URL.</p><p><br></p><p>Example:- jdbc:sqlserver://Test.com:30333;database=InstCRM\_OnPrem;integratedSecurity=true;?ssl=true\&sslmode=require;</p> |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

<br>

**Advance Settings:**

This Tab primarily focuses on 3 advanced settings:

1. **File Download**

* Click the checkbox next to download as local files to download into your local system
* The URL for download file directory is provided&#x20;
* Click the checkbox next to Keep Multiple Version of Files this will assist in keeping multiple version of the files when downloading (Will rename older version before downloading new ones)&#x20;

**2. Prefix settings:**

* Include a prefix if required and enter the prefix details in the table below which will get populated into the database.

**3. Auto rename columns Settings:**

* This setting is used when you have objects or tables with more number of characters than the limit which is allowed by the database. For eg: Oracle Database allows for only 30 characters in custom fields of Salesforce and any characters exceeding that will get dropped automatically in your database. To avoid this, activate this setting in your DBSync Cloud Replication instance where any extra characters can be truncated and replaced with recognisable characters to differentiate between same database names.&#x20;
* Click the check box next to enable auto rename columns and it will automatically update names of any objects in your Salesforce instance to be within the character limit to avoid deletion.&#x20;

**Note:**

* While replicating with Amazon Redshift database, please refer to the following wiki link for specific details on Replication with Amazon Redshift. <http://help.mydbsync.com/docs/display/CloudReplication/Amazon+Redshift>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mydbsync.com/cloud-replication-main/v7/salesforce-healthcloud-replication/running-salesforce-health-cloud-replication/database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
